View Issue Details

IDProjectCategoryView StatusLast Update
0015759ScribusImport / Exportpublic2019-10-31 21:44
Reporterchristoph_s Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSWindows OS Version10
Product Version1.5.5 
Target VersionFixed in Version1.5.6.svn 
Summary0015759: Gradient in imported SVG file disappears after resizing and leaves the result unsusable
DescriptionAs in the summary.
Steps To Reproduce1) Import the attached SVG into 1.5.5


2) Resize it

--> the result is a mess
Additional InformationThis works as expected in 1.4.8, so somewhere along the way something went wrong.
TagsNo tags attached.
PatchNo

Activities

jghali

2019-08-06 02:17

administrator   ~0046434

Attached SVG, where art thou? Well this seems to affect resizing only when an SVG is directly opened as a new document. When importing SVG into a new document, elements are placed inside a group and in this case resizing performs as expected.

christoph_s

2019-08-06 21:49

administrator   ~0046442

File.

paint_circle_rainbow.7z (10,468 bytes)

christoph_s

2019-08-06 21:52

administrator   ~0046443

I tested this with an imported file, not one directly open. A workaround was to copy it to the Scrapbook in 1.4.8 and then drag it from there into 1.5.5.

jghali

2019-08-07 05:01

administrator   ~0046446

Ok, so the issue was triggered when the imported SVG had a group with an assigned clip path. There was two component in this issue:
- some brokenness when resizing a multiple selection containing a group
- missing code in svg import to indicate the group has a custom clip path
This implies that SVG has to be imported again to fix resizing in this case.

christoph_s

2019-10-31 21:44

administrator   ~0046892

Tested, fixed. Thanks.

Issue History

Date Modified Username Field Change
2019-08-05 23:27 christoph_s New Issue
2019-08-05 23:27 christoph_s Status new => assigned
2019-08-05 23:27 christoph_s Assigned To => jghali
2019-08-06 01:43 jghali Assigned To jghali =>
2019-08-06 01:43 jghali Status assigned => new
2019-08-06 02:17 jghali Note Added: 0046434
2019-08-06 21:49 christoph_s File Added: paint_circle_rainbow.7z
2019-08-06 21:49 christoph_s Note Added: 0046442
2019-08-06 21:52 christoph_s Note Added: 0046443
2019-08-07 05:01 jghali Assigned To => jghali
2019-08-07 05:01 jghali Status new => resolved
2019-08-07 05:01 jghali Resolution open => fixed
2019-08-07 05:01 jghali Fixed in Version => 1.5.6.svn
2019-08-07 05:01 jghali Note Added: 0046446
2019-10-31 21:44 christoph_s Status resolved => closed
2019-10-31 21:44 christoph_s Note Added: 0046892